package labbar;

import java.util.Optional;

public class Board {
    private int pins = 10;
    private String winner_id = null;

    public Optional<String> getWinnder() {
        if (winner_id == null)
            return Optional.empty();
        return Optional.of(winner_id);
    }

    public void setUp(int pins) {
        this.pins = pins;
    }

    public void takePins(int pins) {
        this.pins -= Math.min(this.pins, Math.min(2, pins));
    }

    public int alert(String userId, int pins) {
        if (this.pins <= 0)
            UserInterface.printMessage(String.format("%s picks %d and wins!", userId, pins));
        else
            UserInterface.printMessage(String.format(
                    "%s picks %d pins.\n%d pins remaining.", userId, pins, this.pins));
        return 0;
    }

    // GetPinsAmount
    public int getNoPins() {
        return pins;
    }
}
